PCAP_IS_SWAPPED(3) | Library Functions Manual | PCAP_IS_SWAPPED(3)

# NAME

pcap_is_swapped - find out whether a savefile has the native byte order

# SYNOPSIS

    #include <pcap/pcap.h>

    int pcap_is_swapped(pcap_t *p);

# DESCRIPTION

pcap_is_swapped() returns true (1) if p refers to a ``savefile'' that uses a different byte order than the current system. For a live capture, it always returns false (0).
It must not be called on a pcap descriptor created by pcap_create() that has not yet been activated by pcap_activate().

# RETURN VALUE

pcap_datalink() returns true (1) or false (0) on success and PCAP_ERROR_NOT_ACTIVATED if called on a capture handle that has been created but not activated.

# SEE ALSO

pcap(3)

7 April 2014 |